
<div class="container">
    <input type="text" class="search" id="search" [(ngModel)]="searchvalue" placeholder="Search Name" />
    <button type="submit" class="btn btn-primary abc" [routerLink]="['/crud-api/create']"><i
        class="fas fa-add"></i>Add User</button><br>
    <table class="table table-bordered">
        <thead>
            <tr>
                <th scope="col">Id</th>
                <th scope="col">FirstName</th>
                <th scope="col">LastName</th>
                <th scope="col">Email</th>
                <th scope="col">Avtar</th>
                <th scope="col">Actions</th>

            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let user of users | paginate: {itemsPerPage: itemsPerPage, currentPage: page, totalItems: totalItems} | searchfilter: searchvalue " >
                <th scope="row">{{user.id}}</th>
                <td>{{user.first_name}}</td>
                <td>{{user.last_name}}</td>
                <td>{{user.email}}</td>
                <td>{{user.avtar}}</td>

                <td>

                    <button type="button" class="btn btn-primary">Update</button>&nbsp;
                    <!--Update product-->
                    <!-- <ng-template #editmodel let-modal>

                        <div class="modal-header">
                            <h5 class="modal-title" id="staticBackdropLabel">Update Record</h5>
                            <button type="button" class="close" (click)="modal.dismiss()" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <form [formGroup]="editProfileForm" (ngSubmit)="submitform(product.id)" novalidate>
                                <div class="form-group row">
                                 <label for="name" class="col-sm-4 col-form-label">Product Name</label>
                                 <div class="col-sm-8">
                                  <input type="text" class="form-control" formControlName="name" id="name">
                                 </div>
                                </div><br>
                                <div class="form-group row">
                                 <label for="category" class="col-sm-4 col-form-label">Category</label>
                                 <div class="col-sm-8">
                                  <input type="text" class="form-control" formControlName="category" id="category">
                                 </div>
                                </div>
                                <br>
                                <div class="modal-footer">
                                 <button type="button" class="btn btn-secondary" (click)="modal.dismiss()">Close</button>
                                 <button type="submit" (click)="modal.dismiss()" class="btn btn-primary">Update</button>
                                </div>
                            </form>
                        </div>
                    </ng-template> -->
                  

                    <!-- Delete Product -->
                    <button type="button" class="btn btn-danger" >Delete</button>
                    <!-- Modal -->
                    <!-- <ng-template #DeleteModel let-modal>

                        <div class="modal-header">
                            <h5 class="modal-title" id="staticBackdropLabel">Delete</h5>
                            <button type="button" class="close" (click)="modal.dismiss()" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            Are You Sure Data Deleted
                        </div>
                        <div class="modal-footer">
    
                            <button type="button" class="btn btn-secondary" (click)="modal.dismiss()">Close</button> 
                            <button type="button" class="btn btn-primary" (click)="modal.dismiss()" (click)="DeleteProduct(product.id)">Yes</button>
                        </div>
                    </ng-template> -->
                </td>
            </tr>

        </tbody>
    </table>
    <pagination-controls
    class="pagi"
    (pageChange)="page = $event"
  ></pagination-controls>
</div>